import traceback
import warnings
from os import path

from utils.conf.read_conf import yaml_conf
from utils.log.trans_log import logger

warnings.filterwarnings('ignore')

if __name__ == '__main__':

    conf_path = path.abspath(f"./conf/config.yaml")
    yaml_config = yaml_conf(conf_path)

    from data.ReadAndSaveDb import ReadAndSaveDb

    read_and_save = ReadAndSaveDb()
    try:
        read_and_save.run()
    except:
        logger.info("执行出错")
        logger.info(traceback.format_exc())
